> For the complete documentation index, see [llms.txt](https://docs.r0app.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.r0app.com/api/account-resources/users.md).

# Users

### View your profile

For simplified API requests, replace your user ID with `self` when making a call.

## Fetch your profile

<mark style="color:blue;">`GET`</mark> `https://web.r0app.com/api/v1/users/:user_id`

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/users/self \
    -X GET \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}

### View a user's profile

For simplified API requests, replace your user ID with `self` when making a call.

## Fetch a user profile

<mark style="color:blue;">`GET`</mark> `https://web.r0app.com/api/v1/orgs/:org_id/users/:user_id`

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/orgs/:org_id/users/self \
    -X GET \
    -H 'Authorization: Bearer <token>'
```

{% endtab %}
{% endtabs %}

### Update user profile

## Update your profile

<mark style="color:purple;">`PATCH`</mark> `https://web.r0app.com/api/v1/users/:user_id`

#### Request Body

| Name               | Type   | Description |
| ------------------ | ------ | ----------- |
| user\[first\_name] | String |             |
| user\[last\_name]  | String |             |

#### Example request

{% tabs %}
{% tab title="curl" %}

```sh
curl https://web.r0app.com/api/v1/users/:user_id \
    -X PATCH \
    -H 'Authorization: Bearer <token>' \
    -d 'user[last_name]=Simpson'
```

{% endtab %}
{% endtabs %}

#### Additional information

User notifications can also be edited via this endpoint. User notifications allow you to control what types of email messages you receive from R0. Notifications by default include the status and ID. For more information about specific subscriptions, refer to the [Notification subscriptions page](/api/account-resources/users/notification-subscriptions.md).

#### Example notification update request body:

```postman_json
{
  "user": {
    "first_name": "Homer",
    "notifications": [
      {
        "notif_id": "1ee2e713-027e-60e2-b17b-a61f3c9c0acb",
        "notif_status": "disabled"
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.r0app.com/api/account-resources/users.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
